API reference OpenAPI 3.1
PUT /verify/settings

Update verification branding, session defaults and onboarding checks (admin)

Check defaults are copied into the config of each new hosted session; an integrator can still override liveness_required or address_required per session.

Bearer API key or staff session application/json operation updateVerifySettings

Request

Content type: application/json · required

FieldTypeRequiredDescription
display_name string No max length 120
logo_url string (uri) No —
theme_color string No —
support_email string (email) No —
redirect_url string (uri) No —
webhook_url string (uri) No —
liveness_required boolean No default true
address_required boolean No default false
curl -X PUT "$MONICHEK_API/verify/settings" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "display_name": "string",
  "logo_url": "https://example.com",
  "theme_color": "string",
  "support_email": "[email protected]",
  "redirect_url": "https://example.com",
  "webhook_url": "https://example.com",
  "liveness_required": true,
  "address_required": false
}'
const res = await fetch(`${MONICHEK_API}/verify/settings`, {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "display_name": "string",
    "logo_url": "https://example.com",
    "theme_color": "string",
    "support_email": "[email protected]",
    "redirect_url": "https://example.com",
    "webhook_url": "https://example.com",
    "liveness_required": true,
    "address_required": false
  }),
});

const data = await res.json();
import os
import requests

res = requests.put(
    f"{os.environ['MONICHEK_API']}/verify/settings",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "display_name": "string",
      "logo_url": "https://example.com",
      "theme_color": "string",
      "support_email": "[email protected]",
      "redirect_url": "https://example.com",
      "webhook_url": "https://example.com",
      "liveness_required": true,
      "address_required": false
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/verify/settings');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'display_name' => 'string',
        'logo_url' => 'https://example.com',
        'theme_color' => 'string',
        'support_email' => '[email protected]',
        'redirect_url' => 'https://example.com',
        'webhook_url' => 'https://example.com',
        'liveness_required' => true,
        'address_required' => false,
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK updated settings application/json

No response example is published for this status.

Error responses

StatusMeaningBody
403 Forbidden RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.